/*
 * OSM NB API featuring ETSI NFV SOL005
 * This is Open Source MANO Northbound API featuring ETSI NFV SOL005. For more information on OSM, you can visit [http://osm.etsi.org](http://osm.etsi.org). You can send us your comments and questions to OSM_TECH@list.etsi.org or join the [OpenSourceMANO Slack Workplace](https://join.slack.com/t/opensourcemano/shared_invite/enQtMzQ3MzYzNTQ0NDIyLWVkNTE4ZjZjNWI0ZTQyN2VhOTI1MjViMzU1NWYwMWM3ODI4NTQyY2VlODA2ZjczMWIyYTFkZWNiZmFkM2M2ZDk) 
 *
 * OpenAPI spec version: 1.0.0
 * Contact: OSM_TECH@list.etsi.org
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.lcm.nfvo.osm.rest.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

import java.util.Objects;
import java.util.UUID;

/**
 * NsLcmOpOccOperationParams
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-03-04T13:48:18.253Z[GMT]")
public class NsLcmOpOccOperationParams {
  @SerializedName("nsName")
  private String nsName = null;

  @SerializedName("nsdId")
  private UUID nsdId = null;

  @SerializedName("vimAccountId")
  private UUID vimAccountId = null;

  @SerializedName("nsInstanceId")
  private UUID nsInstanceId = null;

  @SerializedName("lcmOperationType")
  private String lcmOperationType = null;

  public NsLcmOpOccOperationParams nsName(String nsName) {
    this.nsName = nsName;
    return this;
  }

   /**
   * Get nsName
   * @return nsName
  **/
  @Schema(description = "")
  public String getNsName() {
    return nsName;
  }

  public void setNsName(String nsName) {
    this.nsName = nsName;
  }

  public NsLcmOpOccOperationParams nsdId(UUID nsdId) {
    this.nsdId = nsdId;
    return this;
  }

   /**
   * Get nsdId
   * @return nsdId
  **/
  @Schema(description = "")
  public UUID getNsdId() {
    return nsdId;
  }

  public void setNsdId(UUID nsdId) {
    this.nsdId = nsdId;
  }

  public NsLcmOpOccOperationParams vimAccountId(UUID vimAccountId) {
    this.vimAccountId = vimAccountId;
    return this;
  }

   /**
   * Get vimAccountId
   * @return vimAccountId
  **/
  @Schema(description = "")
  public UUID getVimAccountId() {
    return vimAccountId;
  }

  public void setVimAccountId(UUID vimAccountId) {
    this.vimAccountId = vimAccountId;
  }

  public NsLcmOpOccOperationParams nsInstanceId(UUID nsInstanceId) {
    this.nsInstanceId = nsInstanceId;
    return this;
  }

   /**
   * Get nsInstanceId
   * @return nsInstanceId
  **/
  @Schema(description = "")
  public UUID getNsInstanceId() {
    return nsInstanceId;
  }

  public void setNsInstanceId(UUID nsInstanceId) {
    this.nsInstanceId = nsInstanceId;
  }

  public NsLcmOpOccOperationParams lcmOperationType(String lcmOperationType) {
    this.lcmOperationType = lcmOperationType;
    return this;
  }

   /**
   * Get lcmOperationType
   * @return lcmOperationType
  **/
  @Schema(description = "")
  public String getLcmOperationType() {
    return lcmOperationType;
  }

  public void setLcmOperationType(String lcmOperationType) {
    this.lcmOperationType = lcmOperationType;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    NsLcmOpOccOperationParams nsLcmOpOccOperationParams = (NsLcmOpOccOperationParams) o;
    return Objects.equals(this.nsName, nsLcmOpOccOperationParams.nsName) &&
        Objects.equals(this.nsdId, nsLcmOpOccOperationParams.nsdId) &&
        Objects.equals(this.vimAccountId, nsLcmOpOccOperationParams.vimAccountId) &&
        Objects.equals(this.nsInstanceId, nsLcmOpOccOperationParams.nsInstanceId) &&
        Objects.equals(this.lcmOperationType, nsLcmOpOccOperationParams.lcmOperationType);
  }

  @Override
  public int hashCode() {
    return Objects.hash(nsName, nsdId, vimAccountId, nsInstanceId, lcmOperationType);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class NsLcmOpOccOperationParams {\n");
    
    sb.append("    nsName: ").append(toIndentedString(nsName)).append("\n");
    sb.append("    nsdId: ").append(toIndentedString(nsdId)).append("\n");
    sb.append("    vimAccountId: ").append(toIndentedString(vimAccountId)).append("\n");
    sb.append("    nsInstanceId: ").append(toIndentedString(nsInstanceId)).append("\n");
    sb.append("    lcmOperationType: ").append(toIndentedString(lcmOperationType)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
